package com.ssm.manage.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.*;

@Table(name = "member_cs")
public class MemberCs implements Serializable {
    /**
     * 主键ID
     */
    @Id
    private Long id;

    /**
     * 会员ID
     */
    @Column(name = "member_id")
    private Long memberId;

    /**
     * 会员名称
     */
    @Column(name = "member_name")
    private String memberName;

    /**
     * 手机
     */
    @Column(name = "mobile_phone")
    private String mobilePhone;

    /**
     * 门店编码
     */
    @Column(name = "store_id")
    private Long storeId;

    /**
     * 门店名称
     */
    @Column(name = "store_name")
    private String storeName;

    /**
     * 单据ID
     */
    @Column(name = "doc_id")
    private Long docId;

    /**
     * 单据号
     */
    @Column(name = "doc_num")
    private String docNum;

    /**
     * 单据时间
     */
    @Column(name = "doc_date")
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date docDate;

    /**
     * 单据类别
     */
    @Column(name = "doc_type")
    private String docType;

    /**
     * 交易ID
     */
    @Column(name = "trade_id")
    private Long tradeId;

    /**
     * 交易名称
     */
    @Column(name = "trade_name")
    private String tradeName;

    /**
     * 交易金额
     */
    @Column(name = "trade_money")
    private BigDecimal tradeMoney;

    /**
     * 交易次数
     */
    @Column(name = "trade_count")
    private Integer tradeCount;

    /**
     * 态度评分
     */
    @Column(name = "cs_attitude_star")
    private Integer csAttitudeStar;

    /**
     * 技术评分
     */
    @Column(name = "cs_technical_star")
    private Integer csTechnicalStar;

    /**
     * 其他评分
     */
    @Column(name = "cs_other_star")
    private Integer csOtherStar;

    /**
     * 0:未评价 1:已评价
     */
    private Integer state;

    /**
     * 单据服务人名称
     */
    @Column(name = "staff_names")
    private String staffNames;

    /**
     * 评价
     */
    @Column(name = "cs_appraise")
    private String csAppraise;

    /**
     * 单据服务人ID
     */
    @Column(name = "staff_ids")
    private String staffIds;

    private static final long serialVersionUID = 1L;

    /**
     * 获取主键ID
     *
     * @return id - 主键ID
     */
    public Long getId() {
        return id;
    }

    /**
     * 设置主键ID
     *
     * @param id 主键ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 获取会员ID
     *
     * @return member_id - 会员ID
     */
    public Long getMemberId() {
        return memberId;
    }

    /**
     * 设置会员ID
     *
     * @param memberId 会员ID
     */
    public void setMemberId(Long memberId) {
        this.memberId = memberId;
    }

    /**
     * 获取会员名称
     *
     * @return member_name - 会员名称
     */
    public String getMemberName() {
        return memberName;
    }

    /**
     * 设置会员名称
     *
     * @param memberName 会员名称
     */
    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    /**
     * 获取手机
     *
     * @return mobile_phone - 手机
     */
    public String getMobilePhone() {
        return mobilePhone;
    }

    /**
     * 设置手机
     *
     * @param mobilePhone 手机
     */
    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    /**
     * 获取门店编码
     *
     * @return store_id - 门店编码
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * 设置门店编码
     *
     * @param storeId 门店编码
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * 获取门店名称
     *
     * @return store_name - 门店名称
     */
    public String getStoreName() {
        return storeName;
    }

    /**
     * 设置门店名称
     *
     * @param storeName 门店名称
     */
    public void setStoreName(String storeName) {
        this.storeName = storeName;
    }

    /**
     * 获取单据ID
     *
     * @return doc_id - 单据ID
     */
    public Long getDocId() {
        return docId;
    }

    /**
     * 设置单据ID
     *
     * @param docId 单据ID
     */
    public void setDocId(Long docId) {
        this.docId = docId;
    }

    /**
     * 获取单据号
     *
     * @return doc_num - 单据号
     */
    public String getDocNum() {
        return docNum;
    }

    /**
     * 设置单据号
     *
     * @param docNum 单据号
     */
    public void setDocNum(String docNum) {
        this.docNum = docNum;
    }

    /**
     * 获取单据时间
     *
     * @return doc_date - 单据时间
     */
    public Date getDocDate() {
        return docDate;
    }

    /**
     * 设置单据时间
     *
     * @param docDate 单据时间
     */
    public void setDocDate(Date docDate) {
        this.docDate = docDate;
    }

    /**
     * 获取单据类别
     *
     * @return doc_type - 单据类别
     */
    public String getDocType() {
        return docType;
    }

    /**
     * 设置单据类别
     *
     * @param docType 单据类别
     */
    public void setDocType(String docType) {
        this.docType = docType;
    }

    /**
     * 获取交易ID
     *
     * @return trade_id - 交易ID
     */
    public Long getTradeId() {
        return tradeId;
    }

    /**
     * 设置交易ID
     *
     * @param tradeId 交易ID
     */
    public void setTradeId(Long tradeId) {
        this.tradeId = tradeId;
    }

    /**
     * 获取交易名称
     *
     * @return trade_name - 交易名称
     */
    public String getTradeName() {
        return tradeName;
    }

    /**
     * 设置交易名称
     *
     * @param tradeName 交易名称
     */
    public void setTradeName(String tradeName) {
        this.tradeName = tradeName;
    }

    /**
     * 获取交易金额
     *
     * @return trade_money - 交易金额
     */
    public BigDecimal getTradeMoney() {
        return tradeMoney;
    }

    /**
     * 设置交易金额
     *
     * @param tradeMoney 交易金额
     */
    public void setTradeMoney(BigDecimal tradeMoney) {
        this.tradeMoney = tradeMoney;
    }

    /**
     * 获取交易次数
     *
     * @return trade_count - 交易次数
     */
    public Integer getTradeCount() {
        return tradeCount;
    }

    /**
     * 设置交易次数
     *
     * @param tradeCount 交易次数
     */
    public void setTradeCount(Integer tradeCount) {
        this.tradeCount = tradeCount;
    }

    /**
     * 获取态度评分
     *
     * @return cs_attitude_star - 态度评分
     */
    public Integer getCsAttitudeStar() {
        return csAttitudeStar;
    }

    /**
     * 设置态度评分
     *
     * @param csAttitudeStar 态度评分
     */
    public void setCsAttitudeStar(Integer csAttitudeStar) {
        this.csAttitudeStar = csAttitudeStar;
    }

    /**
     * 获取技术评分
     *
     * @return cs_technical_star - 技术评分
     */
    public Integer getCsTechnicalStar() {
        return csTechnicalStar;
    }

    /**
     * 设置技术评分
     *
     * @param csTechnicalStar 技术评分
     */
    public void setCsTechnicalStar(Integer csTechnicalStar) {
        this.csTechnicalStar = csTechnicalStar;
    }

    /**
     * 获取其他评分
     *
     * @return cs_other_star - 其他评分
     */
    public Integer getCsOtherStar() {
        return csOtherStar;
    }

    /**
     * 设置其他评分
     *
     * @param csOtherStar 其他评分
     */
    public void setCsOtherStar(Integer csOtherStar) {
        this.csOtherStar = csOtherStar;
    }

    /**
     * 获取0:未评价 1:已评价
     *
     * @return state - 0:未评价 1:已评价
     */
    public Integer getState() {
        return state;
    }

    /**
     * 设置0:未评价 1:已评价
     *
     * @param state 0:未评价 1:已评价
     */
    public void setState(Integer state) {
        this.state = state;
    }

    /**
     * 获取单据服务人名称
     *
     * @return staff_names - 单据服务人名称
     */
    public String getStaffNames() {
        return staffNames;
    }

    /**
     * 设置单据服务人名称
     *
     * @param staffNames 单据服务人名称
     */
    public void setStaffNames(String staffNames) {
        this.staffNames = staffNames;
    }

    /**
     * 获取评价
     *
     * @return cs_appraise - 评价
     */
    public String getCsAppraise() {
        return csAppraise;
    }

    /**
     * 设置评价
     *
     * @param csAppraise 评价
     */
    public void setCsAppraise(String csAppraise) {
        this.csAppraise = csAppraise;
    }

    /**
     * 获取单据服务人ID
     *
     * @return staff_ids - 单据服务人ID
     */
    public String getStaffIds() {
        return staffIds;
    }

    /**
     * 设置单据服务人ID
     *
     * @param staffIds 单据服务人ID
     */
    public void setStaffIds(String staffIds) {
        this.staffIds = staffIds;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        MemberCs other = (MemberCs) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getMemberId() == null ? other.getMemberId() == null : this.getMemberId().equals(other.getMemberId()))
            && (this.getMemberName() == null ? other.getMemberName() == null : this.getMemberName().equals(other.getMemberName()))
            && (this.getMobilePhone() == null ? other.getMobilePhone() == null : this.getMobilePhone().equals(other.getMobilePhone()))
            && (this.getStoreId() == null ? other.getStoreId() == null : this.getStoreId().equals(other.getStoreId()))
            && (this.getStoreName() == null ? other.getStoreName() == null : this.getStoreName().equals(other.getStoreName()))
            && (this.getDocId() == null ? other.getDocId() == null : this.getDocId().equals(other.getDocId()))
            && (this.getDocNum() == null ? other.getDocNum() == null : this.getDocNum().equals(other.getDocNum()))
            && (this.getDocDate() == null ? other.getDocDate() == null : this.getDocDate().equals(other.getDocDate()))
            && (this.getDocType() == null ? other.getDocType() == null : this.getDocType().equals(other.getDocType()))
            && (this.getTradeId() == null ? other.getTradeId() == null : this.getTradeId().equals(other.getTradeId()))
            && (this.getTradeName() == null ? other.getTradeName() == null : this.getTradeName().equals(other.getTradeName()))
            && (this.getTradeMoney() == null ? other.getTradeMoney() == null : this.getTradeMoney().equals(other.getTradeMoney()))
            && (this.getTradeCount() == null ? other.getTradeCount() == null : this.getTradeCount().equals(other.getTradeCount()))
            && (this.getCsAttitudeStar() == null ? other.getCsAttitudeStar() == null : this.getCsAttitudeStar().equals(other.getCsAttitudeStar()))
            && (this.getCsTechnicalStar() == null ? other.getCsTechnicalStar() == null : this.getCsTechnicalStar().equals(other.getCsTechnicalStar()))
            && (this.getCsOtherStar() == null ? other.getCsOtherStar() == null : this.getCsOtherStar().equals(other.getCsOtherStar()))
            && (this.getState() == null ? other.getState() == null : this.getState().equals(other.getState()))
            && (this.getStaffNames() == null ? other.getStaffNames() == null : this.getStaffNames().equals(other.getStaffNames()))
            && (this.getCsAppraise() == null ? other.getCsAppraise() == null : this.getCsAppraise().equals(other.getCsAppraise()))
            && (this.getStaffIds() == null ? other.getStaffIds() == null : this.getStaffIds().equals(other.getStaffIds()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getMemberId() == null) ? 0 : getMemberId().hashCode());
        result = prime * result + ((getMemberName() == null) ? 0 : getMemberName().hashCode());
        result = prime * result + ((getMobilePhone() == null) ? 0 : getMobilePhone().hashCode());
        result = prime * result + ((getStoreId() == null) ? 0 : getStoreId().hashCode());
        result = prime * result + ((getStoreName() == null) ? 0 : getStoreName().hashCode());
        result = prime * result + ((getDocId() == null) ? 0 : getDocId().hashCode());
        result = prime * result + ((getDocNum() == null) ? 0 : getDocNum().hashCode());
        result = prime * result + ((getDocDate() == null) ? 0 : getDocDate().hashCode());
        result = prime * result + ((getDocType() == null) ? 0 : getDocType().hashCode());
        result = prime * result + ((getTradeId() == null) ? 0 : getTradeId().hashCode());
        result = prime * result + ((getTradeName() == null) ? 0 : getTradeName().hashCode());
        result = prime * result + ((getTradeMoney() == null) ? 0 : getTradeMoney().hashCode());
        result = prime * result + ((getTradeCount() == null) ? 0 : getTradeCount().hashCode());
        result = prime * result + ((getCsAttitudeStar() == null) ? 0 : getCsAttitudeStar().hashCode());
        result = prime * result + ((getCsTechnicalStar() == null) ? 0 : getCsTechnicalStar().hashCode());
        result = prime * result + ((getCsOtherStar() == null) ? 0 : getCsOtherStar().hashCode());
        result = prime * result + ((getState() == null) ? 0 : getState().hashCode());
        result = prime * result + ((getStaffNames() == null) ? 0 : getStaffNames().hashCode());
        result = prime * result + ((getCsAppraise() == null) ? 0 : getCsAppraise().hashCode());
        result = prime * result + ((getStaffIds() == null) ? 0 : getStaffIds().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", memberId=").append(memberId);
        sb.append(", memberName=").append(memberName);
        sb.append(", mobilePhone=").append(mobilePhone);
        sb.append(", storeId=").append(storeId);
        sb.append(", storeName=").append(storeName);
        sb.append(", docId=").append(docId);
        sb.append(", docNum=").append(docNum);
        sb.append(", docDate=").append(docDate);
        sb.append(", docType=").append(docType);
        sb.append(", tradeId=").append(tradeId);
        sb.append(", tradeName=").append(tradeName);
        sb.append(", tradeMoney=").append(tradeMoney);
        sb.append(", tradeCount=").append(tradeCount);
        sb.append(", csAttitudeStar=").append(csAttitudeStar);
        sb.append(", csTechnicalStar=").append(csTechnicalStar);
        sb.append(", csOtherStar=").append(csOtherStar);
        sb.append(", state=").append(state);
        sb.append(", staffNames=").append(staffNames);
        sb.append(", csAppraise=").append(csAppraise);
        sb.append(", staffIds=").append(staffIds);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}